> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Delete an asset DELETE https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/assets/{asset_id} Deletes an asset and all previously referenced CDN files. CDN removal can take up to 48 hours. Reference: https://contentful.com/developers/docs/references/content-management-api/assets/delete-an-asset ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the Space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string - `asset_id` (string, required) — ID of the Asset in form of a string ### Headers - `X-Contentful-Version` (string, optional) — Version of the asset to delete ## Response ### 204 No Content - Request successful, no content returned ## Examples **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); client .assets() .async() .fetchOne( "", new CMACallback() { @Override protected void onSuccess(CMAAsset cmaAsset) { client .assets() .async() .delete( cmaAsset, new CMACallback() { @Override protected void onSuccess(Integer result) { // Result will be the parameter string containing 200 on success. new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Asset deleted." + "\n\nResult: " + result) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Asset could not be deleted." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Asset could not be fetched." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // Fetch an existing asset. final CMAAsset asset = client .assets() .fetchOne(""); // DELETE IT. Response is just a string and can be ignored normally. client .assets() .delete(asset); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() // Fetch an existing asset. val asset = client .assets() .fetchOne("") // DELETE IT. Response is just a string and can be ignored normally. client .assets() .delete(asset) ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => environment.getAsset('')) .then((asset) => asset.delete()) .then(() => console.log('Asset deleted.')) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) await client.asset.delete({ spaceId: '', environmentId: '', assetId: '', }); ``` ```php PHP $client = new \Contentful\Management\Client(''); $environment = $client->getEnvironmentProxy('', ''); $asset = $environment->getAsset(''); $asset->delete(); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') asset = client.assets('', '').find('') asset.destroy ``` ```python Python from contentful_management import Client client = Client('') # Delete directly: client.assets('', '').delete('') # Alternatively, from an already fetched asset: asset = client.assets('', '').find('') asset.delete() ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var version = 2; await client.DeleteAsset("", version); ```